\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Planar Parameterization of Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions | Protected Member Functions
CGAL::Square_border_parameterizer_3< ParameterizationMesh_3 > Class Template Referenceabstract
Border Parameterization Methods

`#include <CGAL/Square_border_parameterizer_3.h>`

Inherited by CGAL::Square_border_arc_length_parameterizer_3< ParameterizationMesh_3 >, and CGAL::Square_border_uniform_parameterizer_3< ParameterizationMesh_3 >.

## Definition

This is the base class of strategies that parameterize the border of a 3D surface onto a square.

`Square_border_parameterizer_3` is a pure virtual class, thus cannot be instantiated.

It implements most of the algorithm. Subclasses just have to implement `compute_edge_length(`) to compute a segment's length.

Implementation note: To simplify the implementation, `BorderParameterizer_3` models know only the `ParameterizationMesh_3` class. They do not know the parameterization algorithm requirements or the kind of sparse linear system used.

Is Model Of:
  `BorderParameterizer_3`

## Public Types
typedef ParameterizationMesh_3 | Adaptor
| Export ParameterizationMesh_3 template parameter.

## Public Member Functions
virtual | ~Square_border_parameterizer_3 ()
| Destructor of base class should be virtual.
Parameterizer_traits_3 < Adaptor >::Error_code | parameterize_border (Adaptor &mesh)
| Assign to mesh's border vertices a 2D position (i.e. a (u,v) pair) on border's shape. More...
bool | is_border_convex ()
| Indicate if border's shape is convex.

## Protected Member Functions
virtual double | compute_edge_length (const Adaptor &mesh, Vertex_const_handle source, Vertex_const_handle target)=0
| Compute the length of an edge.

## Member Function Documentation

template<class Adaptor >

Parameterizer_traits_3< Adaptor >::Error_code CGAL::Square_border_parameterizer_3< Adaptor >::parameterize_border | ( | Adaptor & | mesh) |  |

Assign to mesh's border vertices a 2D position (i.e. a (u,v) pair) on border's shape.

Mark them as parameterized.